/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * require_extensions: GL_ARB_gpu_shader_fp64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * ceil(dvec2(np.float64(-2.0)lf, np.float64(-0.6666666666666667)lf)) => dvec2(np.float64(-2.0)lf, np.float64(-0.0)lf)
 * ceil(dvec2(np.float64(0.6666666666666665)lf, np.float64(2.0)lf)) => dvec2(np.float64(1.0)lf, np.float64(2.0)lf)
 */
#version 150
#extension GL_ARB_gpu_shader_fp64 : require

void main()
{
  double[distance(ceil(dvec2(np.float64(-2.0)lf, np.float64(-0.6666666666666667)lf)), dvec2(np.float64(-2.0)lf, np.float64(-0.0)lf)) <= np.float64(2e-05)lf ? 1 : -1] array0;
  double[distance(ceil(dvec2(np.float64(0.6666666666666665)lf, np.float64(2.0)lf)), dvec2(np.float64(1.0)lf, np.float64(2.0)lf)) <= np.float64(2.2360679774997898e-05)lf ? 1 : -1] array1;
  gl_Position = vec4(array0.length() + array1.length());
}
