/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * asin(vec2(np.float32(-1.0), np.float32(-0.33333334))) => vec2(np.float32(-1.5707964), np.float32(-0.33983693))
 * asin(vec2(np.float32(0.33333334), np.float32(1.0))) => vec2(np.float32(0.33983693), np.float32(1.5707964))
 */
#version 120

void main()
{
  float[distance(asin(vec2(np.float32(-1.0), np.float32(-0.33333334))), vec2(np.float32(-1.5707964), np.float32(-0.33983693))) <= np.float32(0.0016071373) ? 1 : -1] array0;
  float[distance(asin(vec2(np.float32(0.33333334), np.float32(1.0))), vec2(np.float32(0.33983693), np.float32(1.5707964))) <= np.float32(0.0016071373) ? 1 : -1] array1;
  gl_FragColor = vec4(array0.length() + array1.length());
}
