/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (mat2x3(np.float32(-0.46), np.float32(-0.45), np.float32(1.03), np.float32(1.94), np.float32(-0.75), np.float32(-0.5)) == mat2x3(np.float32(-0.46), np.float32(-0.45), np.float32(1.03), np.float32(1.94), np.float32(-0.75), np.float32(-0.5))) => true
 * (mat2x3(np.float32(-0.46), np.float32(-0.45), np.float32(1.03), np.float32(1.94), np.float32(-0.75), np.float32(-0.5)) == mat2x3(np.float32(1.38), np.float32(-1.27), np.float32(1.0), np.float32(-1.08), np.float32(1.83), np.float32(-0.74))) => false
 * (mat2x3(np.float32(1.38), np.float32(-1.27), np.float32(1.0), np.float32(-1.08), np.float32(1.83), np.float32(-0.74)) == mat2x3(np.float32(-0.46), np.float32(-0.45), np.float32(1.03), np.float32(1.94), np.float32(-0.75), np.float32(-0.5))) => false
 * (mat2x3(np.float32(1.38), np.float32(-1.27), np.float32(1.0), np.float32(-1.08), np.float32(1.83), np.float32(-0.74)) == mat2x3(np.float32(1.38), np.float32(-1.27), np.float32(1.0), np.float32(-1.08), np.float32(1.83), np.float32(-0.74))) => true
 */
#version 120

void main()
{
  float[(mat2x3(np.float32(-0.46), np.float32(-0.45), np.float32(1.03), np.float32(1.94), np.float32(-0.75), np.float32(-0.5)) == mat2x3(np.float32(-0.46), np.float32(-0.45), np.float32(1.03), np.float32(1.94), np.float32(-0.75), np.float32(-0.5))) == true ? 1 : -1] array0;
  float[(mat2x3(np.float32(-0.46), np.float32(-0.45), np.float32(1.03), np.float32(1.94), np.float32(-0.75), np.float32(-0.5)) == mat2x3(np.float32(1.38), np.float32(-1.27), np.float32(1.0), np.float32(-1.08), np.float32(1.83), np.float32(-0.74))) == false ? 1 : -1] array1;
  float[(mat2x3(np.float32(1.38), np.float32(-1.27), np.float32(1.0), np.float32(-1.08), np.float32(1.83), np.float32(-0.74)) == mat2x3(np.float32(-0.46), np.float32(-0.45), np.float32(1.03), np.float32(1.94), np.float32(-0.75), np.float32(-0.5))) == false ? 1 : -1] array2;
  float[(mat2x3(np.float32(1.38), np.float32(-1.27), np.float32(1.0), np.float32(-1.08), np.float32(1.83), np.float32(-0.74)) == mat2x3(np.float32(1.38), np.float32(-1.27), np.float32(1.0), np.float32(-1.08), np.float32(1.83), np.float32(-0.74))) == true ? 1 : -1] array3;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
