/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (ivec2(np.int32(38), np.int32(35)) * np.int32(12)) => ivec2(np.int32(456), np.int32(420))
 * (ivec2(np.int32(38), np.int32(35)) * np.int32(-6)) => ivec2(np.int32(-228), np.int32(-210))
 * (ivec2(np.int32(38), np.int32(35)) * np.int32(76)) => ivec2(np.int32(2888), np.int32(2660))
 * (ivec2(np.int32(38), np.int32(35)) * np.int32(-32)) => ivec2(np.int32(-1216), np.int32(-1120))
 * (ivec2(np.int32(38), np.int32(35)) * np.int32(0)) => ivec2(np.int32(0), np.int32(0))
 * (ivec2(np.int32(64), np.int32(-9)) * np.int32(12)) => ivec2(np.int32(768), np.int32(-108))
 * (ivec2(np.int32(64), np.int32(-9)) * np.int32(-6)) => ivec2(np.int32(-384), np.int32(54))
 * (ivec2(np.int32(64), np.int32(-9)) * np.int32(76)) => ivec2(np.int32(4864), np.int32(-684))
 * (ivec2(np.int32(64), np.int32(-9)) * np.int32(-32)) => ivec2(np.int32(-2048), np.int32(288))
 * (ivec2(np.int32(64), np.int32(-9)) * np.int32(0)) => ivec2(np.int32(0), np.int32(0))
 * (ivec2(np.int32(64), np.int32(9)) * np.int32(12)) => ivec2(np.int32(768), np.int32(108))
 * (ivec2(np.int32(64), np.int32(9)) * np.int32(-6)) => ivec2(np.int32(-384), np.int32(-54))
 * (ivec2(np.int32(64), np.int32(9)) * np.int32(76)) => ivec2(np.int32(4864), np.int32(684))
 * (ivec2(np.int32(64), np.int32(9)) * np.int32(-32)) => ivec2(np.int32(-2048), np.int32(-288))
 * (ivec2(np.int32(64), np.int32(9)) * np.int32(0)) => ivec2(np.int32(0), np.int32(0))
 */
#version 120

void main()
{
  float[all(equal((ivec2(np.int32(38), np.int32(35)) * np.int32(12)), ivec2(np.int32(456), np.int32(420)))) ? 1 : -1] array0;
  float[all(equal((ivec2(np.int32(38), np.int32(35)) * np.int32(-6)), ivec2(np.int32(-228), np.int32(-210)))) ? 1 : -1] array1;
  float[all(equal((ivec2(np.int32(38), np.int32(35)) * np.int32(76)), ivec2(np.int32(2888), np.int32(2660)))) ? 1 : -1] array2;
  float[all(equal((ivec2(np.int32(38), np.int32(35)) * np.int32(-32)), ivec2(np.int32(-1216), np.int32(-1120)))) ? 1 : -1] array3;
  float[all(equal((ivec2(np.int32(38), np.int32(35)) * np.int32(0)), ivec2(np.int32(0), np.int32(0)))) ? 1 : -1] array4;
  float[all(equal((ivec2(np.int32(64), np.int32(-9)) * np.int32(12)), ivec2(np.int32(768), np.int32(-108)))) ? 1 : -1] array5;
  float[all(equal((ivec2(np.int32(64), np.int32(-9)) * np.int32(-6)), ivec2(np.int32(-384), np.int32(54)))) ? 1 : -1] array6;
  float[all(equal((ivec2(np.int32(64), np.int32(-9)) * np.int32(76)), ivec2(np.int32(4864), np.int32(-684)))) ? 1 : -1] array7;
  float[all(equal((ivec2(np.int32(64), np.int32(-9)) * np.int32(-32)), ivec2(np.int32(-2048), np.int32(288)))) ? 1 : -1] array8;
  float[all(equal((ivec2(np.int32(64), np.int32(-9)) * np.int32(0)), ivec2(np.int32(0), np.int32(0)))) ? 1 : -1] array9;
  float[all(equal((ivec2(np.int32(64), np.int32(9)) * np.int32(12)), ivec2(np.int32(768), np.int32(108)))) ? 1 : -1] array10;
  float[all(equal((ivec2(np.int32(64), np.int32(9)) * np.int32(-6)), ivec2(np.int32(-384), np.int32(-54)))) ? 1 : -1] array11;
  float[all(equal((ivec2(np.int32(64), np.int32(9)) * np.int32(76)), ivec2(np.int32(4864), np.int32(684)))) ? 1 : -1] array12;
  float[all(equal((ivec2(np.int32(64), np.int32(9)) * np.int32(-32)), ivec2(np.int32(-2048), np.int32(-288)))) ? 1 : -1] array13;
  float[all(equal((ivec2(np.int32(64), np.int32(9)) * np.int32(0)), ivec2(np.int32(0), np.int32(0)))) ? 1 : -1] array14;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length() + array12.length() + array13.length() + array14.length());
}
