/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (mat4x2(np.float32(1.81), np.float32(-1.16), np.float32(-0.87), np.float32(-1.52), np.float32(0.81), np.float32(0.25), np.float32(0.65), np.float32(-1.51)) * vec4(np.float32(-1.65), np.float32(1.33), np.float32(1.93), np.float32(0.76))) => vec2(np.float32(-2.0863), np.float32(-0.77270013))
 * (mat4x2(np.float32(1.81), np.float32(-1.16), np.float32(-0.87), np.float32(-1.52), np.float32(0.81), np.float32(0.25), np.float32(0.65), np.float32(-1.51)) * vec4(np.float32(0.8), np.float32(-0.15), np.float32(-0.51), np.float32(0.0))) => vec2(np.float32(1.1654), np.float32(-0.8275))
 * (mat4x2(np.float32(1.93), np.float32(0.49), np.float32(-1.63), np.float32(0.27), np.float32(0.29), np.float32(0.14), np.float32(1.6), np.float32(0.94)) * vec4(np.float32(-1.65), np.float32(1.33), np.float32(1.93), np.float32(0.76))) => vec2(np.float32(-3.5767), np.float32(0.5352))
 * (mat4x2(np.float32(1.93), np.float32(0.49), np.float32(-1.63), np.float32(0.27), np.float32(0.29), np.float32(0.14), np.float32(1.6), np.float32(0.94)) * vec4(np.float32(0.8), np.float32(-0.15), np.float32(-0.51), np.float32(0.0))) => vec2(np.float32(1.6406), np.float32(0.28010002))
 */
#version 120

void main()
{
  float[distance((mat4x2(np.float32(1.81), np.float32(-1.16), np.float32(-0.87), np.float32(-1.52), np.float32(0.81), np.float32(0.25), np.float32(0.65), np.float32(-1.51)) * vec4(np.float32(-1.65), np.float32(1.33), np.float32(1.93), np.float32(0.76))), vec2(np.float32(-2.0863), np.float32(-0.77270013))) <= np.float32(2.224795e-05) ? 1 : -1] array0;
  float[distance((mat4x2(np.float32(1.81), np.float32(-1.16), np.float32(-0.87), np.float32(-1.52), np.float32(0.81), np.float32(0.25), np.float32(0.65), np.float32(-1.51)) * vec4(np.float32(0.8), np.float32(-0.15), np.float32(-0.51), np.float32(0.0))), vec2(np.float32(1.1654), np.float32(-0.8275))) <= np.float32(1.4293052e-05) ? 1 : -1] array1;
  float[distance((mat4x2(np.float32(1.93), np.float32(0.49), np.float32(-1.63), np.float32(0.27), np.float32(0.29), np.float32(0.14), np.float32(1.6), np.float32(0.94)) * vec4(np.float32(-1.65), np.float32(1.33), np.float32(1.93), np.float32(0.76))), vec2(np.float32(-3.5767), np.float32(0.5352))) <= np.float32(3.6165206e-05) ? 1 : -1] array2;
  float[distance((mat4x2(np.float32(1.93), np.float32(0.49), np.float32(-1.63), np.float32(0.27), np.float32(0.29), np.float32(0.14), np.float32(1.6), np.float32(0.94)) * vec4(np.float32(0.8), np.float32(-0.15), np.float32(-0.51), np.float32(0.0))), vec2(np.float32(1.6406), np.float32(0.28010002))) <= np.float32(1.6643391e-05) ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
