/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * sqrt(np.float32(0.0)) => np.float32(0.0)
 * sqrt(np.float32(0.6666667)) => np.float32(0.8164966)
 * sqrt(np.float32(1.3333334)) => np.float32(1.1547005)
 * sqrt(np.float32(2.0)) => np.float32(1.4142135)
 */
#version 120

void main()
{
  float[distance(sqrt(np.float32(0.0)), np.float32(0.0)) <= np.float32(0.0) ? 1 : -1] array0;
  float[distance(sqrt(np.float32(0.6666667)), np.float32(0.8164966)) <= np.float32(8.164966e-06) ? 1 : -1] array1;
  float[distance(sqrt(np.float32(1.3333334)), np.float32(1.1547005)) <= np.float32(1.1547006e-05) ? 1 : -1] array2;
  float[distance(sqrt(np.float32(2.0)), np.float32(1.4142135)) <= np.float32(1.4142136e-05) ? 1 : -1] array3;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
