/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * roundEven(vec4(np.float32(-2.0), np.float32(-1.8333334), np.float32(-1.6666666), np.float32(-1.5))) => vec4(np.float32(-2.0), np.float32(-2.0), np.float32(-2.0), np.float32(-2.0))
 * roundEven(vec4(np.float32(-1.3333334), np.float32(-1.1666666), np.float32(-1.0), np.float32(-0.8333333))) => vec4(np.float32(-1.0), np.float32(-1.0), np.float32(-1.0), np.float32(-1.0))
 * roundEven(vec4(np.float32(-0.6666667), np.float32(-0.5), np.float32(-0.33333334), np.float32(-0.16666667))) => vec4(np.float32(-1.0), np.float32(-0.0), np.float32(-0.0), np.float32(-0.0))
 * roundEven(vec4(np.float32(0.0), np.float32(0.16666667), np.float32(0.33333334), np.float32(0.5))) => vec4(np.float32(0.0), np.float32(0.0), np.float32(0.0), np.float32(0.0))
 * roundEven(vec4(np.float32(0.6666667), np.float32(0.8333333), np.float32(1.0), np.float32(1.1666666))) => vec4(np.float32(1.0), np.float32(1.0), np.float32(1.0), np.float32(1.0))
 * roundEven(vec4(np.float32(1.3333334), np.float32(1.5), np.float32(1.6666666), np.float32(1.8333334))) => vec4(np.float32(1.0), np.float32(2.0), np.float32(2.0), np.float32(2.0))
 * roundEven(vec4(np.float32(2.0), np.float32(-2.0), np.float32(-1.8333334), np.float32(-1.6666666))) => vec4(np.float32(2.0), np.float32(-2.0), np.float32(-2.0), np.float32(-2.0))
 */
#version 150

void main()
{
  float[distance(roundEven(vec4(np.float32(-2.0), np.float32(-1.8333334), np.float32(-1.6666666), np.float32(-1.5))), vec4(np.float32(-2.0), np.float32(-2.0), np.float32(-2.0), np.float32(-2.0))) <= np.float32(4e-05) ? 1 : -1] array0;
  float[distance(roundEven(vec4(np.float32(-1.3333334), np.float32(-1.1666666), np.float32(-1.0), np.float32(-0.8333333))), vec4(np.float32(-1.0), np.float32(-1.0), np.float32(-1.0), np.float32(-1.0))) <= np.float32(2e-05) ? 1 : -1] array1;
  float[distance(roundEven(vec4(np.float32(-0.6666667), np.float32(-0.5), np.float32(-0.33333334), np.float32(-0.16666667))), vec4(np.float32(-1.0), np.float32(-0.0), np.float32(-0.0), np.float32(-0.0))) <= np.float32(1e-05) ? 1 : -1] array2;
  float[distance(roundEven(vec4(np.float32(0.0), np.float32(0.16666667), np.float32(0.33333334), np.float32(0.5))), vec4(np.float32(0.0), np.float32(0.0), np.float32(0.0), np.float32(0.0))) <= np.float32(0.0) ? 1 : -1] array3;
  float[distance(roundEven(vec4(np.float32(0.6666667), np.float32(0.8333333), np.float32(1.0), np.float32(1.1666666))), vec4(np.float32(1.0), np.float32(1.0), np.float32(1.0), np.float32(1.0))) <= np.float32(2e-05) ? 1 : -1] array4;
  float[distance(roundEven(vec4(np.float32(1.3333334), np.float32(1.5), np.float32(1.6666666), np.float32(1.8333334))), vec4(np.float32(1.0), np.float32(2.0), np.float32(2.0), np.float32(2.0))) <= np.float32(3.6055513e-05) ? 1 : -1] array5;
  float[distance(roundEven(vec4(np.float32(2.0), np.float32(-2.0), np.float32(-1.8333334), np.float32(-1.6666666))), vec4(np.float32(2.0), np.float32(-2.0), np.float32(-2.0), np.float32(-2.0))) <= np.float32(4e-05) ? 1 : -1] array6;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length());
}
