/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * sign(np.int32(-5)) => np.int32(-1)
 * sign(np.int32(-2)) => np.int32(-1)
 * sign(np.int32(-1)) => np.int32(-1)
 * sign(np.int32(0)) => np.int32(0)
 * sign(np.int32(1)) => np.int32(1)
 * sign(np.int32(2)) => np.int32(1)
 * sign(np.int32(5)) => np.int32(1)
 */
#version 150

void main()
{
  float[sign(np.int32(-5)) == np.int32(-1) ? 1 : -1] array0;
  float[sign(np.int32(-2)) == np.int32(-1) ? 1 : -1] array1;
  float[sign(np.int32(-1)) == np.int32(-1) ? 1 : -1] array2;
  float[sign(np.int32(0)) == np.int32(0) ? 1 : -1] array3;
  float[sign(np.int32(1)) == np.int32(1) ? 1 : -1] array4;
  float[sign(np.int32(2)) == np.int32(1) ? 1 : -1] array5;
  float[sign(np.int32(5)) == np.int32(1) ? 1 : -1] array6;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length());
}
