/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * sqrt(vec2(np.float32(0.0), np.float32(0.6666667))) => vec2(np.float32(0.0), np.float32(0.8164966))
 * sqrt(vec2(np.float32(1.3333334), np.float32(2.0))) => vec2(np.float32(1.1547005), np.float32(1.4142135))
 */
#version 150

void main()
{
  float[distance(sqrt(vec2(np.float32(0.0), np.float32(0.6666667))), vec2(np.float32(0.0), np.float32(0.8164966))) <= np.float32(8.164966e-06) ? 1 : -1] array0;
  float[distance(sqrt(vec2(np.float32(1.3333334), np.float32(2.0))), vec2(np.float32(1.1547005), np.float32(1.4142135))) <= np.float32(1.8257419e-05) ? 1 : -1] array1;
  gl_Position = vec4(array0.length() + array1.length());
}
