/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * require_extensions: GL_ARB_gpu_shader_fp64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf) + dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf)) => dmat4x3(np.float64(-0.54)lf, np.float64(-0.34)lf, np.float64(-3.7)lf, np.float64(-2.76)lf, np.float64(-1.12)lf, np.float64(-2.58)lf, np.float64(-2.82)lf, np.float64(2.94)lf, np.float64(3.54)lf, np.float64(-0.24)lf, np.float64(3.72)lf, np.float64(0.02)lf)
 * (dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf) + dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf)) => dmat4x3(np.float64(-0.74)lf, np.float64(-0.37)lf, np.float64(-3.24)lf, np.float64(-1.5299999999999998)lf, np.float64(-0.030000000000000027)lf, np.float64(-1.48)lf, np.float64(0.56)lf, np.float64(-0.3500000000000001)lf, np.float64(3.39)lf, np.float64(-1.17)lf, np.float64(0.4500000000000002)lf, np.float64(1.59)lf)
 * (dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf) + dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf)) => dmat4x3(np.float64(-0.74)lf, np.float64(-0.37)lf, np.float64(-3.24)lf, np.float64(-1.5299999999999998)lf, np.float64(-0.030000000000000027)lf, np.float64(-1.48)lf, np.float64(0.56)lf, np.float64(-0.3500000000000001)lf, np.float64(3.39)lf, np.float64(-1.17)lf, np.float64(0.4500000000000002)lf, np.float64(1.59)lf)
 * (dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf) + dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf)) => dmat4x3(np.float64(-0.94)lf, np.float64(-0.4)lf, np.float64(-2.78)lf, np.float64(-0.3)lf, np.float64(1.06)lf, np.float64(-0.38)lf, np.float64(3.94)lf, np.float64(-3.64)lf, np.float64(3.24)lf, np.float64(-2.1)lf, np.float64(-2.82)lf, np.float64(3.16)lf)
 */
#version 150
#extension GL_ARB_gpu_shader_fp64 : require

void main()
{
  double[(distance((dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf) + dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf))[0], dvec3(np.float64(-0.54)lf, np.float64(-0.34)lf, np.float64(-3.7)lf)) * distance((dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf) + dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf))[0], dvec3(np.float64(-0.54)lf, np.float64(-0.34)lf, np.float64(-3.7)lf))) + (distance((dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf) + dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf))[1], dvec3(np.float64(-2.76)lf, np.float64(-1.12)lf, np.float64(-2.58)lf)) * distance((dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf) + dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf))[1], dvec3(np.float64(-2.76)lf, np.float64(-1.12)lf, np.float64(-2.58)lf))) + (distance((dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf) + dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf))[2], dvec3(np.float64(-2.82)lf, np.float64(2.94)lf, np.float64(3.54)lf)) * distance((dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf) + dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf))[2], dvec3(np.float64(-2.82)lf, np.float64(2.94)lf, np.float64(3.54)lf))) + (distance((dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf) + dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf))[3], dvec3(np.float64(-0.24)lf, np.float64(3.72)lf, np.float64(0.02)lf)) * distance((dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf) + dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf))[3], dvec3(np.float64(-0.24)lf, np.float64(3.72)lf, np.float64(0.02)lf))) <= np.float64(7.264960000000001e-09)lf ? 1 : -1] array0;
  double[(distance((dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf) + dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf))[0], dvec3(np.float64(-0.74)lf, np.float64(-0.37)lf, np.float64(-3.24)lf)) * distance((dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf) + dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf))[0], dvec3(np.float64(-0.74)lf, np.float64(-0.37)lf, np.float64(-3.24)lf))) + (distance((dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf) + dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf))[1], dvec3(np.float64(-1.5299999999999998)lf, np.float64(-0.030000000000000027)lf, np.float64(-1.48)lf)) * distance((dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf) + dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf))[1], dvec3(np.float64(-1.5299999999999998)lf, np.float64(-0.030000000000000027)lf, np.float64(-1.48)lf))) + (distance((dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf) + dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf))[2], dvec3(np.float64(0.56)lf, np.float64(-0.3500000000000001)lf, np.float64(3.39)lf)) * distance((dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf) + dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf))[2], dvec3(np.float64(0.56)lf, np.float64(-0.3500000000000001)lf, np.float64(3.39)lf))) + (distance((dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf) + dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf))[3], dvec3(np.float64(-1.17)lf, np.float64(0.4500000000000002)lf, np.float64(1.59)lf)) * distance((dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf) + dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf))[3], dvec3(np.float64(-1.17)lf, np.float64(0.4500000000000002)lf, np.float64(1.59)lf))) <= np.float64(3.1742000000000013e-09)lf ? 1 : -1] array1;
  double[(distance((dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf) + dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf))[0], dvec3(np.float64(-0.74)lf, np.float64(-0.37)lf, np.float64(-3.24)lf)) * distance((dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf) + dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf))[0], dvec3(np.float64(-0.74)lf, np.float64(-0.37)lf, np.float64(-3.24)lf))) + (distance((dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf) + dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf))[1], dvec3(np.float64(-1.5299999999999998)lf, np.float64(-0.030000000000000027)lf, np.float64(-1.48)lf)) * distance((dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf) + dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf))[1], dvec3(np.float64(-1.5299999999999998)lf, np.float64(-0.030000000000000027)lf, np.float64(-1.48)lf))) + (distance((dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf) + dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf))[2], dvec3(np.float64(0.56)lf, np.float64(-0.3500000000000001)lf, np.float64(3.39)lf)) * distance((dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf) + dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf))[2], dvec3(np.float64(0.56)lf, np.float64(-0.3500000000000001)lf, np.float64(3.39)lf))) + (distance((dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf) + dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf))[3], dvec3(np.float64(-1.17)lf, np.float64(0.4500000000000002)lf, np.float64(1.59)lf)) * distance((dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf) + dmat4x3(np.float64(-0.27)lf, np.float64(-0.17)lf, np.float64(-1.85)lf, np.float64(-1.38)lf, np.float64(-0.56)lf, np.float64(-1.29)lf, np.float64(-1.41)lf, np.float64(1.47)lf, np.float64(1.77)lf, np.float64(-0.12)lf, np.float64(1.86)lf, np.float64(0.01)lf))[3], dvec3(np.float64(-1.17)lf, np.float64(0.4500000000000002)lf, np.float64(1.59)lf))) <= np.float64(3.1742000000000013e-09)lf ? 1 : -1] array2;
  double[(distance((dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf) + dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf))[0], dvec3(np.float64(-0.94)lf, np.float64(-0.4)lf, np.float64(-2.78)lf)) * distance((dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf) + dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf))[0], dvec3(np.float64(-0.94)lf, np.float64(-0.4)lf, np.float64(-2.78)lf))) + (distance((dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf) + dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf))[1], dvec3(np.float64(-0.3)lf, np.float64(1.06)lf, np.float64(-0.38)lf)) * distance((dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf) + dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf))[1], dvec3(np.float64(-0.3)lf, np.float64(1.06)lf, np.float64(-0.38)lf))) + (distance((dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf) + dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf))[2], dvec3(np.float64(3.94)lf, np.float64(-3.64)lf, np.float64(3.24)lf)) * distance((dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf) + dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf))[2], dvec3(np.float64(3.94)lf, np.float64(-3.64)lf, np.float64(3.24)lf))) + (distance((dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf) + dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf))[3], dvec3(np.float64(-2.1)lf, np.float64(-2.82)lf, np.float64(3.16)lf)) * distance((dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf) + dmat4x3(np.float64(-0.47)lf, np.float64(-0.2)lf, np.float64(-1.39)lf, np.float64(-0.15)lf, np.float64(0.53)lf, np.float64(-0.19)lf, np.float64(1.97)lf, np.float64(-1.82)lf, np.float64(1.62)lf, np.float64(-1.05)lf, np.float64(-1.41)lf, np.float64(1.58)lf))[3], dvec3(np.float64(-2.1)lf, np.float64(-2.82)lf, np.float64(3.16)lf))) <= np.float64(7.174879999999999e-09)lf ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
